# <a id="worldbrain" href="#worldbrain">WorldBrain's Memex</a>

A browser extension that lets you create, search and eventually share your personal web of knowledge

 - **Full-Text-Search** all websites you visited and bookmarked
 - **Full Data Privacy** All data is stored and processed on your own computer and will **never ever ever EVER** be shared or used without your consent. Here at WorldBrain, we are highly concerned about your privacy and security please see our [privacy policy](#privacy-policy) for more details.

Lookout for these exciting new features in the future:
 - **Automatically Rate** how useful you perceive the websites you visit based on your interactions with it.
 - **Add notes, comments and links** to similar valuable resources
 - **Integrate** with all your favorite services such as Facebook, Evernote and Twitter.
 - **Sync** with all of your browsers, smart-phones, tablets, smart-fridges, electric cars, space-ships etc.
 - **Share** recommendations, comments, links & ratings with your network.
 - **Discover** new content that has high value in your network
 - **Diversify** the content you find by looking through great sources on the opposite side of your 'value' system. Break out of your 'filter bubble'

More on that on our website: worldbrain.io

### Table Of Content

1. [Project Status](#project-status)
1. [How it Works](#how-it-works.md)
1. [Contact](#contact)
1. [License + Privacy Policy](#license-+-privacy-policy)
1. [See also](#see-also)

**Separate Docs**

1. [Contributing](./docs/Contributing-Guide.md)
    * [Getting Started](./docs/Contributing-Guide.md#getting-started)
    * [Installation](./docs/Contributing-Guide.md#installation)
    * [Running The Extension](./docs/Contributing-Guide.md#running-the-extension)
1. [Code Overview](./docs/Contributing-Guide.md#code-overview)
    * [A brief overview of Web Extensions](./docs/Contributing-Guide.md#a-brief-overview-of-web-e)
    * [Application Structure](./docs/Contributing-Guide.md#application-structure)
    * [Dependencies](./docs/Contributing-Guide.md#dependencies)
1. [In Depth How it Works](./docs/How-It-Works.md)

## Project Status
We are currently on the cusp of releasing a brand new version of the extension. See [roadmap](https://trello.com/b/mdqEuBjb) for more details

The old one can still be found here: worldbrain.io/download

Want to help out? If you are:
 - A Marketer, A Designer or Investor please Email info@worldbrain.io
 - If you want to [donate click here](https://www.patreon.com/WorldBrain)! :moneybag:

**If your a developer Please see [Contributing!](./docs/Contributing-Guide.md)**

Have questions?
- [Feedback](#contact), how can we make our extension better?
- [General Questions or Concerns](#contact)
- [Feature Requests](#feature-requests), <!-- vote for or add any new features you may want to see! --> What features would you like to see in our app? All ideas & requests are welcome!
- [Bugs or Issues](https://github.com/WorldBrain/Research-Engine/issues/new), is something broken or not working as you feel it should?

## How the WorldBrain Extension Works

As you browse through websites WorldBrain will work automatically in the background see our [intro video](https://youtu.be/rtYA8_taswk) for more information. When you are ready to search through your history follow the steps below.

1. Go to the address bar of your browser
2. Type `w` + `space_bar`
3. Now simply type in your search query and the results will show below.

![](https://github.com/swissums/worldbrain-doc-gifs/blob/master/how-it-works.gif)

## Contact

Find us in [our Slack channel](https://join-worldbrain.herokuapp.com/) or contact us [via email](mailto:info@worldbrain.io).

### Feedback, Questions or Concerns
**How can we make our extension better?**

Please email: feedback@worldbrain.io
or drop by our [slack channel](https://join-worldbrain.herokuapp.com/) and post a message in #General

### Feature Requests
**Request <!-- Vote and Comment on -->  any new features you may want to see!**

<!-- Please visit our [Feature Requests Page](**TODO**) -->
Please either create a new [issue](https://github.com/WorldBrain/WebMemex/issues/new)
or send us a message in the slack feature_request channel!
You can join here https://join-worldbrain.herokuapp.com/

### Bugs and Issues
**Is the extension acting funny?**
**Something not working properly or seems off?**

Please create a new [issue](https://github.com/WorldBrain/WebMemex/issues/new)

## License + Privacy Policy

### MIT Licensed see [License](./License)

### Privacy Policy

We truly care about your privacy. So our privacy policy is as simple as we can make it.

We will never retain or sell your data.
It is actually impossible for us to do so as all of your data is kept on your local machine.
:see_no_evil::hear_no_evil::speak_no_evil:


## See also

External resources

* [Donate to WorldBrain - www.patreon.com](https://www.patreon.com/WorldBrain)
* [Join the WorldBrain community on Slack! - join-worldbrain.herokuapp.com](https://join-worldbrain.herokuapp.com/)
* [Worldbrain is creating a structural solution to online (scientific) misinformation - www.worldbrain.io](https://worldbrain.io)
